unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Sockets, StdCtrls, Unit2, Unit3;

type
  TForm1 = class(TForm)
    btnConnect: TButton;
    TcpClient: TTcpClient;
    btnCommand: TButton;
    Label1: TLabel;
    lstMessages: TListBox;
    btnDisconnect: TButton;
    btnPrimitive: TButton;
    btnAdvance: TButton;
    procedure btnConnectClick(Sender: TObject);
    procedure btnCommandClick(Sender: TObject);
    procedure TcpClientReceive(Sender: TObject; Buf: PAnsiChar;
      var DataLen: Integer);
    procedure FormCreate(Sender: TObject);
    procedure btnDisconnectClick(Sender: TObject);
    procedure btnPrimitiveClick(Sender: TObject);
    procedure btnAdvanceClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnConnectClick(Sender: TObject);
var StrBuffer : string;
begin
  StrBuffer := '127.0.0.1';
  if InputQuery('IP Adresa', 'Zadejte IP adresu serveru: ',StrBuffer) then begin
    TcpClient.RemoteHost := StrBuffer;                  // prijeni na adresu ...
    StrBuffer := '5438';
    if InputQuery('Port', 'Zadejte slo portu:', StrBuffer) then begin
        TcpClient.RemotePort := StrBuffer;             // k portu
        TcpClient.Open;
        if TcpClient.Connected then begin           // pokud se pripojeni podari
          ShowMessage('Pipojeno');
          btnConnect.Enabled := false;
          btnDisconnect.Enabled := true;
          btnCommand.Enabled := true;
          btnPrimitive.Enabled := true;
          btnAdvance.Enabled := true;
        end
        else
          ShowMessage('Bohuel');
    end;
  end;  
end;

procedure TForm1.btnCommandClick(Sender: TObject);
var Command : string;
begin
  if InputQuery('Pkaz na server', 'Zadejte pkaz k odesln:', Command) then
    TcpClient.Sendln(Command);
end;

procedure TForm1.TcpClientReceive(Sender: TObject; Buf: PAnsiChar;
  var DataLen: Integer);
begin
   lstMessages.Items.Add(Buf);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  TcpClient.BlockMode := bmBlocking;
end;

procedure TForm1.btnDisconnectClick(Sender: TObject);
begin
  TcpClient.Close;
  btnConnect.Enabled := true;
  btnDisconnect.Enabled := false;
  btnCommand.Enabled := false;
  btnPrimitive.Enabled := false;
  btnAdvance.Enabled := false;
end;

procedure TForm1.btnPrimitiveClick(Sender: TObject);
var Form2 : TForm2;
begin
  // vytvorime a zobrazime formular pro ovladani vytahu
  Form2 := TForm2.Create(Self);
  Form2.Show;
end;

procedure TForm1.btnAdvanceClick(Sender: TObject);
var Form3 : TForm3;
begin
  // vytvorime a zobrazime formular pro ovladani vytahu
  Form3 := TForm3.Create(Self);
  Form3.Show;
end;

end.
