unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin, Buttons, ComCtrls;

type
  TForm3 = class(TForm)
    barSpeed: TTrackBar;
    Label1: TLabel;
    spnShaft: TSpinEdit;
    txtSpeed: TLabel;
    btnUp: TButton;
    btnDown: TButton;
    btnStop: TButton;
    procedure barSpeedChange(Sender: TObject);
    procedure btnUpClick(Sender: TObject);
    procedure btnDownClick(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses Unit1;

{$R *.dfm}

procedure TForm3.barSpeedChange(Sender: TObject);
begin
  txtSpeed.Caption := ':     ' + IntToStr(barSpeed.Position);
end;

procedure TForm3.btnUpClick(Sender: TObject);
begin
  Form1.TcpClient.Sendln('speed '+IntToStr(spnShaft.Value)+' '+
                         IntToStr(0-barSpeed.Position) );
end;

procedure TForm3.btnDownClick(Sender: TObject);
begin
  Form1.TcpClient.Sendln('speed '+IntToStr(spnShaft.Value)+' '+
                         IntToStr(barSpeed.Position) );
end;

procedure TForm3.btnStopClick(Sender: TObject);
begin
  Form1.TcpClient.Sendln('speed ' + IntToStr(spnShaft.Value) + ' 0');
end;

end.
